Update entity by name

View as Markdown
Update an entity by its name. Optionally change the entity's name. Example: ``` PUT /apis/entities/v2/workspaces/default/entities/customization_config/my-config { "data": { "target_id": "llama-2-7b", "training_options": {"learning_rate": 0.02} } } ```

Path parameters

workspacestringRequired
entity_typestringRequired
namestringRequired

Query parameters

parentstringOptional
Parent entity ID for nested entities

Request

This endpoint expects an object.
datamap from strings to anyRequired

Updated entity-specific data

new_namestringOptionalformat: "^[a-z](?!.*--)[a-z0-9\-@.+_]{1,62}(?<!-)$"

Updated entity name (optional). Name must start with a lowercase letter, be 2-63 characters, and contain only lowercase letters, digits, and hyphens (no consecutive hyphens, cannot end with a hyphen).

projectstringOptional
The name of the project associated with this entity
expected_db_versionintegerOptional
Optional database version for optimistic locking. Update only succeeds if current version matches.

Response

Successful Response
entity_typestring
Entity type identifier
idstring
UUID identifier
workspacestring
Workspace identifier
namestring
Entity name
datamap from strings to any
Entity data
created_atdatetime
Timestamp of entity creation
updated_atdatetime
Timestamp of last entity update
db_versioninteger
Database version of the entity for optimistic locking.
parentstring
Parent entity ID for nested entities
projectstring
The name of the project associated with this entity
created_bystring
Principal id for entity creator
updated_bystring
Principal id for last entity update

Errors

422
Unprocessable Entity Error